SuSE9 Security Update : libpng (YOU Patch Number 12141)

High Nessus Plugin ID 41209


The remote SuSE 9 host is missing a security-related patch.


Specially crafted PNG files could overwrite arbitrary memory.
Attackers could potentially exploit that to execute arbitrary code.


Apply YOU patch number 12141.

See Also

Plugin Details

Severity: High

ID: 41209

File Name: suse9_12141.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2012/04/23

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2008/04/16

Reference Information

CVE: CVE-2008-1382

CWE: 189